--
-- NAVFLIR MENU
--

-- COMMON MENU
local	mpcd_mm_btn_04				= create_mpcd_textured_box( 209, 864, 227, 924)
		mpcd_mm_btn_04.name			= "mpcd_mm_btn_04"
		mpcd_mm_btn_04.init_pos		= mpcd_btn_04_pos
		mpcd_mm_btn_04.controllers	= {{"flir_menu_common"}}
Add_MPCD_Element(mpcd_mm_btn_04)

local	mpcd_mm_btn_05				= create_mpcd_textured_box( 180, 864, 198, 922)
		mpcd_mm_btn_05.name			= "mpcd_mm_btn_05"
		mpcd_mm_btn_05.init_pos	 	= mpcd_btn_05_pos
		mpcd_mm_btn_05.controllers	= {{"flir_menu_common"}}
Add_MPCD_Element(mpcd_mm_btn_05)

-- RIGHT
local	mpcd_mm_btn_11				= CreateElement "ceStringPoly"
		mpcd_mm_btn_11.name			= "mpcd_mm_btn_11"
		mpcd_mm_btn_11.material		= mpcd_font_base
		mpcd_mm_btn_11.init_pos		= mpcd_btn_11_pos
		mpcd_mm_btn_11.alignment	= "CenterCenter"
		mpcd_mm_btn_11.value		= "R\nE\nJ"
		mpcd_mm_btn_11.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_11)

local	mpcd_mm_btn_13				= CreateElement "ceStringPoly"
		mpcd_mm_btn_13.name			= "mpcd_mm_btn_13"
		mpcd_mm_btn_13.material		= mpcd_font_base
		mpcd_mm_btn_13.init_pos		= mpcd_btn_13_pos
		mpcd_mm_btn_13.alignment	= "CenterCenter"
		mpcd_mm_btn_13.value		= "F\nL\nR\nM"
		mpcd_mm_btn_13.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_13)

local	mpcd_mm_btn_14				= CreateElement "ceStringPoly"
		mpcd_mm_btn_14.name			= "mpcd_mm_btn_14"
		mpcd_mm_btn_14.material		= mpcd_font_base
		mpcd_mm_btn_14.init_pos		= mpcd_btn_14_pos
		mpcd_mm_btn_14.alignment	= "CenterCenter"
		mpcd_mm_btn_14.value		= "G\nR\nA\nY"
		mpcd_mm_btn_14.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_14.controllers	= {{"flir_menu_common"}}
Add_MPCD_Element(mpcd_mm_btn_14)

local	mpcd_mm_btn_15				= CreateElement "ceStringPoly"
		mpcd_mm_btn_15.name			= "mpcd_mm_btn_15"
		mpcd_mm_btn_15.material		= mpcd_font_base
		mpcd_mm_btn_15.init_pos		= mpcd_btn_15_pos
		mpcd_mm_btn_15.alignment	= "CenterCenter"
		mpcd_mm_btn_15.value		= "E\nC\nM"
		mpcd_mm_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_15)

-- BOTTOM
local	mpcd_mm_btn_16				= CreateElement "ceStringPoly"
		mpcd_mm_btn_16.name			= "mpcd_mm_btn_16"
		mpcd_mm_btn_16.material		= mpcd_font_base
		mpcd_mm_btn_16.init_pos		= mpcd_btn_16_pos
		mpcd_mm_btn_16.alignment	= "CenterCenter"
		mpcd_mm_btn_16.value		= "NITE"
		mpcd_mm_btn_16.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_16.controllers	= {{"flir_menu_common"}}
Add_MPCD_Element(mpcd_mm_btn_16)

local	mpcd_mm_btn_17				= CreateElement "ceStringPoly"
		mpcd_mm_btn_17.name			= "mpcd_mm_btn_17"
		mpcd_mm_btn_17.material		= mpcd_font_base
		mpcd_mm_btn_17.init_pos		= mpcd_btn_17_pos
		mpcd_mm_btn_17.alignment	= "CenterCenter"
		mpcd_mm_btn_17.value		= "UPDT"
		mpcd_mm_btn_17.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_17.controllers	= {{"flir_menu_common"}}
Add_MPCD_Element(mpcd_mm_btn_17)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_font_base
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local	mpcd_mm_btn_19				= CreateElement "ceStringPoly"
		mpcd_mm_btn_19.name			= "mpcd_mm_btn_19"
		mpcd_mm_btn_19.material		= mpcd_font_base
		mpcd_mm_btn_19.init_pos		= mpcd_btn_19_pos
		mpcd_mm_btn_19.alignment	= "CenterCenter"
		mpcd_mm_btn_19.formats		= {"LIM/%d"}
		mpcd_mm_btn_19.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_19.controllers	= {{"flir_tgt_limiter"}}
Add_MPCD_Element(mpcd_mm_btn_19)

local	mpcd_mm_btn_20				= CreateElement "ceStringPoly"
		mpcd_mm_btn_20.name			= "mpcd_mm_btn_20"
		mpcd_mm_btn_20.material		= mpcd_font_base
		mpcd_mm_btn_20.init_pos		= mpcd_btn_20_pos
		mpcd_mm_btn_20.alignment	= "CenterCenter"
		mpcd_mm_btn_20.value		= "BLK"
		mpcd_mm_btn_20.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_20.controllers	= {{"flir_menu_common"}}
Add_MPCD_Element(mpcd_mm_btn_20)

-- AUTO MENU
-- LEFT
local	mpcd_mm_btn_03				= CreateElement "ceStringPoly"
		mpcd_mm_btn_03.name			= "mpcd_mm_btn_03"
		mpcd_mm_btn_03.material		= mpcd_font_base
		mpcd_mm_btn_03.init_pos		= mpcd_btn_03_pos
		mpcd_mm_btn_03.alignment	= "CenterCenter"
		mpcd_mm_btn_03.value		= "M\nA\nN"
		mpcd_mm_btn_03.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_03.controllers	= {{"flir_menu_common"}}
Add_MPCD_Element(mpcd_mm_btn_03)

local	flir_ndg_btn				= CreateElement "ceStringPoly"
		flir_ndg_btn.name			= "flir_ndg_btn"
		flir_ndg_btn.material		= mpcd_font_base
		flir_ndg_btn.init_pos		= { -0.95,  0.495, 0}
		flir_ndg_btn.alignment		= "LeftCenter"
		flir_ndg_btn.value			= "NDG"
		flir_ndg_btn.stringdefs		= MPCD_default_font_size
		flir_ndg_btn.controllers	= {{"flir_menu_auto"}}
Add_MPCD_Element(flir_ndg_btn)

-- MANUAL MENU
-- LEFT
local	mpcd_mm_btn_01				= create_mpcd_textured_box( 209, 864, 227, 924)
		mpcd_mm_btn_01.name			= "mpcd_mm_btn_01"
		mpcd_mm_btn_01.init_pos		= mpcd_btn_01_pos
		mpcd_mm_btn_01.controllers	= {{"flir_menu_manual"}}
Add_MPCD_Element(mpcd_mm_btn_01)

local	mpcd_mm_btn_02				= create_mpcd_textured_box( 180, 864, 198, 922)
		mpcd_mm_btn_02.name			= "mpcd_mm_btn_02"
		mpcd_mm_btn_02.init_pos	 	= mpcd_btn_02_pos
		mpcd_mm_btn_02.controllers	= {{"flir_menu_manual"}}
Add_MPCD_Element(mpcd_mm_btn_02)

local	flir_mlvl_btn				= CreateElement "ceStringPoly"
		flir_mlvl_btn.name			= "flir_mlvl_btn"
		flir_mlvl_btn.material		= mpcd_font_base
		flir_mlvl_btn.init_pos		= { -0.95, -0.495, 0}
		flir_mlvl_btn.alignment		= "LeftCenter"
		flir_mlvl_btn.value			= "LVL"
		flir_mlvl_btn.stringdefs	= MPCD_default_font_size
		flir_mlvl_btn.controllers	= {{"flir_menu_manual"}}
Add_MPCD_Element(flir_mlvl_btn)

local	flir_mgn_btn				= CreateElement "ceStringPoly"
		flir_mgn_btn.name			= "flir_mgn_btn"
		flir_mgn_btn.material		= mpcd_font_base
		flir_mgn_btn.init_pos		= { -0.95,  0.495, 0}
		flir_mgn_btn.alignment		= "LeftCenter"
		flir_mgn_btn.value			= "GN"
		flir_mgn_btn.stringdefs		= MPCD_default_font_size
		flir_mgn_btn.controllers	= {{"flir_menu_manual"}}
Add_MPCD_Element(flir_mgn_btn)

-- FLR MENU
local	flir_mlvl_btn				= CreateElement "ceStringPoly"
		flir_mlvl_btn.name			= "flir_mlvl_btn"
		flir_mlvl_btn.material		= mpcd_font_base
		flir_mlvl_btn.init_pos		= { -0.95, -0.495, 0}
		flir_mlvl_btn.alignment		= "LeftCenter"
		flir_mlvl_btn.value			= "T\nE\nM\nP"
		flir_mlvl_btn.stringdefs	= MPCD_default_font_size
		flir_mlvl_btn.controllers	= {{"flir_menu_flrm"}}
Add_MPCD_Element(flir_mlvl_btn)

local	flir_mgn_btn				= CreateElement "ceStringPoly"
		flir_mgn_btn.name			= "flir_mgn_btn"
		flir_mgn_btn.material		= mpcd_font_base
		flir_mgn_btn.init_pos		= { -0.95,  0.495, 0}
		flir_mgn_btn.alignment		= "LeftCenter"
		flir_mgn_btn.value			= "T\nS\nI\nZ"
		flir_mgn_btn.stringdefs		= MPCD_default_font_size
		flir_mgn_btn.controllers	= {{"flir_menu_flrm"}}
Add_MPCD_Element(flir_mgn_btn)

local	flir_cue_gate				= CreateElement "ceStringPoly"
		flir_cue_gate.name			= "flir_cue_gate"
		flir_cue_gate.material		= mpcd_font_base
		flir_cue_gate.init_pos		= mpcd_btn_03_pos
		flir_cue_gate.alignment		= "CenterCenter"
		flir_cue_gate.formats		= {"%s"}
		flir_cue_gate.stringdefs	= MPCD_default_font_size
		flir_cue_gate.controllers	= {{"flir_cuer_gate"}}
Add_MPCD_Element(flir_cue_gate)

local	flir_tmp_sn_up				= create_mpcd_textured_box( 209, 864, 227, 924)
		flir_tmp_sn_up.name			= "flir_tmp_sn_up"
		flir_tmp_sn_up.init_pos		= {-0.80, -0.65, 0}
		flir_tmp_sn_up.controllers	= {{"flir_menu_flrm"}}
Add_MPCD_Element(flir_tmp_sn_up)

local	temp_sense_val				= CreateElement "ceStringPoly"
		temp_sense_val.name			= "temp_sense_val"
		temp_sense_val.material		= mpcd_font_base
		temp_sense_val.init_pos		= {-0.80, -0.495, 0}
		temp_sense_val.alignment	= "CenterCenter"
		temp_sense_val.formats		= {"%s"}
		temp_sense_val.stringdefs	= MPCD_default_font_size
		temp_sense_val.controllers	= {{"flir_temp_sense"}}
Add_MPCD_Element(temp_sense_val)

local	flir_tmp_sn_dn				= create_mpcd_textured_box( 180, 864, 198, 922)
		flir_tmp_sn_dn.name			= "flir_tmp_sn_dn"
		flir_tmp_sn_dn.init_pos	 	= {-0.80, -0.33, 0}
		flir_tmp_sn_dn.controllers	= {{"flir_menu_flrm"}}
Add_MPCD_Element(flir_tmp_sn_dn)

local	flr_tgt_siz_up				= create_mpcd_textured_box( 209, 864, 227, 924)
		flr_tgt_siz_up.name			= "flr_tgt_siz_up"
		flr_tgt_siz_up.init_pos		= {-0.80, 0.33, 0}
		flr_tgt_siz_up.controllers	= {{"flir_menu_flrm"}}
Add_MPCD_Element(flr_tgt_siz_up)

local	tgt_size_val				= CreateElement "ceStringPoly"
		tgt_size_val.name			= "tgt_size_val"
		tgt_size_val.material		= mpcd_font_base
		tgt_size_val.init_pos		= {-0.80, 0.495, 0}
		tgt_size_val.alignment	= "CenterCenter"
		tgt_size_val.formats		= {"%s"}
		tgt_size_val.stringdefs	= MPCD_default_font_size
		tgt_size_val.controllers	= {{"flir_tgt_size"}}
Add_MPCD_Element(tgt_size_val)

local	flr_tgt_siz_dn				= create_mpcd_textured_box( 180, 864, 198, 922)
		flr_tgt_siz_dn.name			= "flr_tgt_siz_dn"
		flr_tgt_siz_dn.init_pos	 	= {-0.80, 0.65, 0}
		flr_tgt_siz_dn.controllers	= {{"flir_menu_flrm"}}
Add_MPCD_Element(flr_tgt_siz_dn)


-- SELECTION BOXES
local	manual_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		manual_mode_sel.name		= "manual_mode_sel"
		manual_mode_sel.init_pos	= mpcd_btn_03_pos
		manual_mode_sel.controllers	= {{"flir_menu_manual"}}
Add_MPCD_VIDEO_Element(manual_mode_sel)

local	reject_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		reject_mode_sel.name		= "reject_mode_sel"
		reject_mode_sel.init_pos	= mpcd_btn_11_pos
		reject_mode_sel.controllers	= {{"flir_reject"}}
Add_MPCD_VIDEO_Element(reject_mode_sel)

local	flrm_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		flrm_mode_sel.name			= "flrm_mode_sel"
		flrm_mode_sel.init_pos		= mpcd_btn_13_pos
		flrm_mode_sel.controllers	= {{"flir_menu_flrm"}}
Add_MPCD_VIDEO_Element(flrm_mode_sel)

local	grscl_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		grscl_mode_sel.name			= "grscl_mode_sel"
		grscl_mode_sel.init_pos		= mpcd_btn_14_pos
		grscl_mode_sel.controllers	= {{"flir_menu_greyscale"}}
Add_MPCD_VIDEO_Element(grscl_mode_sel)

local	mpcd_btn_20_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_20_boxed.name			= "mpcd_btn_20_boxed"
		mpcd_btn_20_boxed.init_pos		= mpcd_btn_20_pos
		mpcd_btn_20_boxed.controllers	= {{"flir_bh_polarity"}}
Add_MPCD_Element(mpcd_btn_20_boxed)
